Failed to load the native TensorFlow runtime

Hello!
I have been stuck with the installation of Tensforflow-gpu on Jetson TX2 GPU for quite sometime. I installed it using: pip3 install --extra-index-url https://developer.download.nvidia.com/compute/redist/jp33 tensorflow-gpu (SOURCE: https://docs.nvidia.com/deeplearning/frameworks/install-tf-jetsontx2/index.html)

It says that it has installed successfuly however, when i try to import it, it gives the error: “Failed to load the native TensorFlow runtime

The stack trace of the error message is as under:

Traceback (most recent call last):
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.5/imp.py”, line 242, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.5/imp.py”, line 342, in load_dynamic
return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “”, line 1, in
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/init.py”, line 22, in
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/init.py”, line 49, in
from tensorflow.python import pywrap_tensorflow
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 74, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/home/nvidia/.local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.5/imp.py”, line 242, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.5/imp.py”, line 342, in load_dynamic
return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory

Failed to load the native TensorFlow runtime.

Hi,

The link you used is built with JetPack3.3.
Do you use JetPack3.3?

If you are using JetPack4.2, please install it with the command below:

pip3 install --extra-index-url https://developer.download.nvidia.com/compute/redist/jp/v42 tensorflow-gpu==1.13.1+nv19.5 --user

You can find this information in our pinned topic here:
https://devtalk.nvidia.com/default/topic/1038957/jetson-tx2/tensorflow-for-jetson-tx2-/

Thanks.

Hello,

Yes, I am using JetPack3.3 to flash the TX2 module.
In the link provided above, https://devtalk.nvidia.com/default/topic/1038957/jetson-tx2/tensorflow-for-jetson-tx2-/ , I used the second command i.e. the one for Python 3.5+JetPack3.3
The error log included in my initial question was generated when i ran this command.

Hi,

The error log shows TensorFlow cannot find the CUDA toolkit.
Have you installed it on the device first?

Please remember that you need CUDA, cuDNN and TensorRT package to make TensorFlow work correctly.
Thanks.